Subject: Re: [ANNOUNCE] Git v2.0.0-rc0

From: Jonathan Nieder <[email-masked]>
Date: Tue, 22 Apr 2014 14:00:02 -0700

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>> Hm, perhaps we should introduce a 'no-prefix' option to work around
>> this.
[...]
>> That way, normal usage of --prefix would still be consistent with
>> other git commands that prefer the form with argument attached
>> (--prefix=foo, not --prefix foo; see gitcli(7)).
>>
>> Thoughts?
>
> I do not think that it is a good idea to use "--no-anything" for
> something that is not a boolean.

Do you mean it is a bad idea to support or a bad idea to make use of
such support?

I suggested --no- for consistency with current git commands that use
parseopt.  But on second thought, I agree that it be confusing for

	--prefix=foo --no-prefix

to mean something different from no --prefix parameter at all.

The documentation says

	--prefix=<prefix>

		...

		Before Git 2.0, the default prefix was "" (no prefix).
		This meant that ...

which suggests that I can use --prefix="" to mean no prefix.  Perhaps
it needs a note to suggest using '--prefix ""' instead?

Thanks,
Jonathan